Blame SOURCES/0315-tests-grub_script_expansion.in-Use-fixed-string-grep.patch

f96e0b
From 6964813fb87e25a58dc629bb7f9256cf149db1da Mon Sep 17 00:00:00 2001
f96e0b
From: Vladimir 'phcoder' Serbinenko <phcoder@gmail.com>
f96e0b
Date: Mon, 15 Apr 2013 01:53:33 +0200
f96e0b
Subject: [PATCH 315/482] 	* tests/grub_script_expansion.in: Use
f96e0b
 fixed-string grep to skip over 	firmware error messages.
f96e0b
f96e0b
---
f96e0b
 ChangeLog                      | 5 +++++
f96e0b
 tests/grub_script_expansion.in | 6 +++---
f96e0b
 2 files changed, 8 insertions(+), 3 deletions(-)
f96e0b
f96e0b
diff --git a/ChangeLog b/ChangeLog
f96e0b
index 7469030..1391202 100644
f96e0b
--- a/ChangeLog
f96e0b
+++ b/ChangeLog
f96e0b
@@ -1,5 +1,10 @@
f96e0b
 2013-04-15  Vladimir Serbinenko  <phcoder@gmail.com>
f96e0b
 
f96e0b
+	* tests/grub_script_expansion.in: Use fixed-string grep to skip over
f96e0b
+	firmware error messages.
f96e0b
+
f96e0b
+2013-04-15  Vladimir Serbinenko  <phcoder@gmail.com>
f96e0b
+
f96e0b
 	* grub-core/kern/ieee1275/openfw.c (grub_ieee1275_devalias_next): Make
f96e0b
 	source and destination differ.
f96e0b
 
f96e0b
diff --git a/tests/grub_script_expansion.in b/tests/grub_script_expansion.in
f96e0b
index 03dc510..e46401c 100644
f96e0b
--- a/tests/grub_script_expansion.in
f96e0b
+++ b/tests/grub_script_expansion.in
f96e0b
@@ -21,12 +21,12 @@ disks=`echo ls | @builddir@/grub-shell| grep -av '^Network protocols:$'| grep -a
f96e0b
 other=`echo insmod regexp\; echo \* | @builddir@/grub-shell`
f96e0b
 for d in $disks; do
f96e0b
     if echo "$d" |grep ',' >/dev/null; then
f96e0b
-	if echo "$other" | grep "$d" >/dev/null; then
f96e0b
+	if echo "$other" | grep -F -- "$d" >/dev/null; then
f96e0b
 	    echo "$d should not occur in * expansion" >&2
f96e0b
 	    exit 1
f96e0b
 	fi
f96e0b
     else
f96e0b
-	if ! echo "$other" | grep "$d" >/dev/null; then
f96e0b
+	if ! echo "$other" | grep -F -- "$d" >/dev/null; then
f96e0b
 	    echo "$d missing from * expansion" >&2
f96e0b
 	    exit 1
f96e0b
 	fi
f96e0b
@@ -35,7 +35,7 @@ done
f96e0b
 
f96e0b
 other=`echo insmod regexp\; echo '(*)' | @builddir@/grub-shell`
f96e0b
 for d in $disks; do
f96e0b
-    if ! echo "$other" | grep -F "$d" >/dev/null; then
f96e0b
+    if ! echo "$other" | grep -F -- "$d" >/dev/null; then
f96e0b
 	echo "$d missing from (*) expansion" >&2
f96e0b
 	exit 1
f96e0b
     fi
f96e0b
-- 
f96e0b
1.8.2.1
f96e0b